CREATE TABLE admin (
    id INT AUTO_INCREMENT PRIMARY KEY,
    username VARCHAR(50) NOT NULL,
    password VARCHAR(255) NOT NULL
)ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_spanish_ci;

-- Tabla para almacenar configuraciones de la aplicación
CREATE TABLE IF NOT EXISTS settings (
    id INT AUTO_INCREMENT PRIMARY KEY,
    name VARCHAR(100) NOT NULL UNIQUE,
    value TEXT NOT NULL
)ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_spanish_ci;

-- Tabla para almacenar configuraciones de servidores de correo
CREATE TABLE IF NOT EXISTS email_servers (
    id INT AUTO_INCREMENT PRIMARY KEY,
    server_name VARCHAR(50) NOT NULL,
    enabled TINYINT(1) NOT NULL DEFAULT 0,
    imap_server VARCHAR(100) NOT NULL,
    imap_port INT NOT NULL DEFAULT 993,
    imap_user VARCHAR(100) NOT NULL,
    imap_password VARCHAR(100) NOT NULL
)ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_spanish_ci;

-- Insertar valores por defecto en settings
INSERT IGNORE INTO settings (name, value) VALUES
('PAGE_TITLE', 'Consulta tu Código'),
('HABILITAR_NETFLIX', '1'),
('HABILITAR_DISNEY', '1'),
('HABILITAR_PRIME', '1'),
('HABILITAR_SPOTIFY', '1'),
('HABILITAR_CRUNCHYROLL', '1'),
('HABILITAR_PARAMOUNT', '1'),
('HABILITAR_CHATGPT', '1'),
('HABILITAR_CANVA', '0'),
('EMAIL_AUTH_ENABLED', '0'),
('enlace_global_1', 'https://gruposdigitales.com'),
('enlace_global_1_texto', 'Ir a Página web'),
('enlace_global_2', 'https://t.me/profesordepapel'),
('enlace_global_2_texto', 'Ir a Telegram'),
('enlace_global_numero_whatsapp', '13177790136'),
('enlace_global_texto_whatsapp', 'Hola, necesito soporte técnico'),
('NETFLIX_1', 'Tu código de acceso temporal de Netflix'),
('NETFLIX_2', 'Importante: Cómo actualizar tu Hogar con Netflix'),
('NETFLIX_3', 'Netflix: Tu código de inicio de sesión'),
('NETFLIX_4', 'Completa tu solicitud de restablecimiento de contraseña'),
('DISNEY_1', 'Tu código de acceso único para Disney+'),
('DISNEY_2', 'Asunto 2'),
('DISNEY_3', 'Asunto 3'),
('DISNEY_4', 'Asunto 4'),
('PRIME_1', 'amazon.com: Sign-in attempt'),
('PRIME_2', 'amazon.com: Intento de inicio de sesión'),
('PRIME_3', 'Asunto 3'),
('PRIME_4', 'Asunto 4'),
('SPOTIFY_1', 'Asunto 1'),
('SPOTIFY_2', 'Asunto 2'),
('SPOTIFY_3', 'Asunto 3'),
('SPOTIFY_4', 'Asunto 4'),
('CRUNCHYROLL_1', 'Crunchyroll: Código de acceso'),
('CRUNCHYROLL_2', 'Crunchyroll: Actualización de cuenta'),
('CRUNCHYROLL_3', 'Crunchyroll: Solicitud de inicio de sesión'),
('CRUNCHYROLL_4', 'Crunchyroll: Restablecimiento de contraseña'),
('PARAMOUNT_1', 'Paramount Plus: Código de acceso'),
('PARAMOUNT_2', 'Paramount Plus: Actualización de cuenta'),
('PARAMOUNT_3', 'Paramount Plus: Solicitud de inicio de sesión'),
('PARAMOUNT_4', 'Paramount Plus: Restablecimiento de contraseña'),
('CHATGPT_1', 'Cambio de Contraseña'),
('CHATGPT_2', 'Cambio de Correo Electrónico'),
('CHATGPT_3', 'Cambio de Nombre'),
('CHATGPT_4', 'Cambio de Cuenta'),
('CANVA_1', 'Asunto 1'),
('CANVA_2', 'Asunto 2'),
('CANVA_3', 'Asunto 3'),
('CANVA_4', 'Asunto 4'),
('FOOTER_TEXTO', '¿Deseas una página y bot de códigos para tu negocio?'),
('FOOTER_CONTACTO', 'Click aquí'),
('FOOTER_NUMERO_WHATSAPP','13177790136'),
('FOOTER_TEXTO_WHATSAPP','Hola, estoy interesado en una página web y en un bot para códigos.'),
('ID_VENDEDOR', '9'),
('LOGO','logo.png');
